vRealize Infrastructure Navigator supports all builds of ESXi version 5.x U1. Earlier versions are also supported, as described in the release notes for this release.

To verify the latest ESX/ESXi versions that are supported, use the VMware Interoperability Matrix at http://partnerweb.vmware.com/comp_guide2/sim/interop_matrix.php.